# std::match_results<BidirIt,Alloc>::swap

From cppreference.com
< cpp‎ | regex‎ | match results

void swap( match_results& other ) noexcept; |  | (since C++11)

Exchanges the shared states of two `match_results` objects.

### Parameters

other | - | the `match_results` to swap with

### Return value

(none)

### Example

| This section is incomplete Reason: no example

### See also

std::swap(std::match_results) (C++11) | specializes the `std::swap()` algorithm (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/regex/match_results/swap&oldid=93310"